Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi
Interface RemoteProfileManager

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteProfileManager

extends java.rmi.Remote

Method Summary
`void` | `addProfile(java.lang.String profileName, java.util.Properties prop, java.lang.String submitter)` Adds a DHTML profile using the specified profile name.
`void` | `addProfile(java.lang.String profileType, java.lang.String profileName, java.util.Properties prop, java.lang.String submitter)` Adds a profile using the specified profile name.
`java.lang.String[]` | `getAllProfileNames()` Gets all predefined DHTML profile names.
`java.lang.String[]` | `getAllProfileNames(java.lang.String profileType)` Gets all predefined profile names.
`java.util.Properties` | `getDefaultProfile()` Gets built-in default DHTML profile, which contains full functions.
`java.util.Properties` | `getDefaultProfile(java.lang.String profileType)` Gets built-in default profile, which contains full functions.
`java.util.Properties` | `getProfile(java.lang.String profileName)` Gets a DHTML profile by the specified profile name.
`java.util.Properties` | `getProfile(java.lang.String profileType, java.lang.String profileName)` Gets a profile by the specified profile name.
`void` | `removeProfile(java.lang.String profileName, java.lang.String submitter)` Removes the specified DHTML profile.
`void` | `removeProfile(java.lang.String profileType, java.lang.String profileName, java.lang.String submitter)` Removes the specified profile.
`void` | `updateProfile(java.lang.String profileName, java.util.Properties prop, java.lang.String submitter)` Updates a DHTML profile using the specified function list.
`void` | `updateProfile(java.lang.String profileType, java.lang.String profileName, java.util.Properties prop, java.lang.String submitter)` Updates a profile using the specified function list.

Method Detail

### addProfile

    void addProfile(java.lang.String profileName,
                    java.util.Properties prop,
                    java.lang.String submitter)
                    throws java.rmi.RemoteException

  Adds a DHTML profile using the specified profile name.

  Parameters:
    `profileName` - The specified DHTML profile name.
    `prop` - A `Properties` object that contains predefined functions of profile.
    `submitter` - The user who requests the operation. Only administrator has the permission to perform the action.
  Throws:
    `java.rmi.RemoteException` - If communication-related error occurs during RMI call execution or not.

### addProfile

    void addProfile(java.lang.String profileType,
                    java.lang.String profileName,
                    java.util.Properties prop,
                    java.lang.String submitter)
                    throws java.rmi.RemoteException

  Adds a profile using the specified profile name.

  Parameters:
    `profileType` - The specified profile type.
    `profileName` - The specified profile name.
    `prop` - A `Properties` object that contains predefined functions of profile.
    `submitter` - The user who requests the operation. Only administrator has the permission to perform the action.
  Throws:
    `java.rmi.RemoteException` - If communication-related error occurs during RMI call execution or not.

### removeProfile

    void removeProfile(java.lang.String profileName,
                       java.lang.String submitter)
                       throws java.rmi.RemoteException

  Removes the specified DHTML profile.

  Parameters:
    `profileName` - The DHTML profile name.
    `submitter` - The user who requests the operation, only administrator has the permission to perform the action.
  Throws:
    `java.rmi.RemoteException` - If communication-related error occurs during RMI call execution or not.

### removeProfile

    void removeProfile(java.lang.String profileType,
                       java.lang.String profileName,
                       java.lang.String submitter)
                       throws java.rmi.RemoteException

  Removes the specified profile.

  Parameters:
    `profileType` - The specified profile type.
    `profileName` - The profile name.
    `submitter` - The user who requests the operation, only administrator has the permission to perform the action.
  Throws:
    `java.rmi.RemoteException` - If communication-related error occurs during RMI call execution or not.

### updateProfile

    void updateProfile(java.lang.String profileName,
                       java.util.Properties prop,
                       java.lang.String submitter)
                       throws java.rmi.RemoteException

  Updates a DHTML profile using the specified function list.

  Parameters:
    `profileName` - The DHTML profile name.
    `prop` - A `Properties` object that contains the predefined functions need to update to profile.
    `submitter` - The user who requests the operation, only administrator has the permission to perform the action.
  Throws:
    `java.rmi.RemoteException` - If communication-related error occurs during RMI call execution or not.

### updateProfile

    void updateProfile(java.lang.String profileType,
                       java.lang.String profileName,
                       java.util.Properties prop,
                       java.lang.String submitter)
                       throws java.rmi.RemoteException

  Updates a profile using the specified function list.

  Parameters:
    `profileType` - The specified profile type.
    `profileName` - The profile name.
    `prop` - A `Properties` object that contains the predefined functions need to update to profile.
    `submitter` - The user who requests the operation, only administrator has the permission to perform the action.
  Throws:
    `java.rmi.RemoteException` - If communication-related error occurs during RMI call execution or not.

### getAllProfileNames

    java.lang.String[] getAllProfileNames()
                                          throws java.rmi.RemoteException

  Gets all predefined DHTML profile names.

  Returns:
    A `String` array that contains all predefined profile names.
  Throws:
    `java.rmi.RemoteException` - If communication-related error occurs during RMI call execution or not.

### getAllProfileNames

    java.lang.String[] getAllProfileNames(java.lang.String profileType)
                                          throws java.rmi.RemoteException

  Gets all predefined profile names.

  Parameters:
    `profileType` - The specified profile type.
  Returns:
    A `String` array that contains all predefined profile names.
  Throws:
    `java.rmi.RemoteException` - If communication-related error occurs during RMI call execution or not.

### getProfile

    java.util.Properties getProfile(java.lang.String profileName)
                                    throws java.rmi.RemoteException

  Gets a DHTML profile by the specified profile name.

  Parameters:
    `profileName` - The DHTML profile name.
  Returns:
    A `Properties` object that contains predefined functions of profile.
  Throws:
    `java.rmi.RemoteException` - If communication-related error occurs during RMI call execution or not.

### getProfile

    java.util.Properties getProfile(java.lang.String profileType,
                                    java.lang.String profileName)
                                    throws java.rmi.RemoteException

  Gets a profile by the specified profile name.

  Parameters:
    `profileType` - The specified profile type.
    `profileName` - The profile name.
  Returns:
    A `Properties` object that contains predefined functions of profile.
  Throws:
    `java.rmi.RemoteException` - If communication-related error occurs during RMI call execution or not.

### getDefaultProfile

    java.util.Properties getDefaultProfile()
                                           throws java.rmi.RemoteException

  Gets built-in default DHTML profile, which contains full functions.

  Returns:
    A `Properties` object that contains full functions.
  Throws:
    `java.rmi.RemoteException` - If communication-related error occurs during RMI call execution or not.

### getDefaultProfile

    java.util.Properties getDefaultProfile(java.lang.String profileType)
                                           throws java.rmi.RemoteException

  Gets built-in default profile, which contains full functions.

  Parameters:
    `profileType` - The specified profile type.
  Returns:
    A `Properties` object that contains full functions.
  Throws:
    `java.rmi.RemoteException` - If communication-related error occurs during RMI call execution or not.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD